strnlen_user
Prev | User Space Memory Access | Next

## Name

strnlen_user — Get the size of a string in user space.

## Synopsis

`long strnlen_user (` | const char __user * | s,
| long | n`)`;

## Arguments

`s`

  The string to measure.

`n`

  The maximum valid length

## Description

Get the size of a NUL-terminated string in user space.

Returns the size of the string INCLUDING the terminating NUL. On exception, returns 0. If the string is too long, returns a value greater than `n`.

Prev | Up | Next
__clear_user | Home | copy_to_user